#4171 (ok 4.2) wrong values in mysql.db and mysql.user

4.0.10
fixed
None
1
2014-05-08
2013-12-05
CelticAion
No

Hello!
we use phpmyadmin 3.5.7 on many servers (debian, centos5, centos6) and webservers (apache, nginx)

try to change to 4.0.x (first is 4.0.6, second 4.0.8 and now 4.0.10) and every same problem:
copy the config.ini.php to the new install and in mysql database in the tables not good displayed :(

Seamonkey/firefox : wrong
Internet Explorer: wrong
google chorme 31.0.1650.63 m : wrong
Opera 12.16: good !!!!

good value:
db : z10000_redmine2
wrong value:
db: 207a31303030305f7265646d696e6532 (or similar, hexa numbers)

i add two image (snapshot)

and other db-s (z10000_redmine2) is ok in every browser, only mysql db wrong

2 Attachments

Discussion

  • Marc Delisle

    Marc Delisle - 2013-12-05
    • Group: 3.3.7 --> 4.0.10
     
  • Marc Delisle

    Marc Delisle - 2013-12-05

    Please give us some details:
    MySQL server version
    Database client version (might be mysqlnd)
    PHP version
    Extension used (mysql, mysqli)

     
  • CelticAion

    CelticAion - 2013-12-05

    sorry.

    • webservers (not one) httpd (from centos5) and nginx (from centos6)
    • mysql server (only one, 192.168.1.191) : 5.5.30
    • php is 5.3.14 (from source) in httpd : mysql and mysqli :5.0.95
    • php is 5.3.19 (from source) in nginx : mysql and msqli : 5.5.27
     
  • Marc Delisle

    Marc Delisle - 2013-12-05

    Ok, but which extension are you using in your phpMyAdmin, mysql or mysqli? If mysql, it could be one cause of your problem and you should be using mysqli.

     
  • Marc Delisle

    Marc Delisle - 2013-12-06
    • status: open --> pending
    • assigned_to: Marc Delisle
     
  • CelticAion

    CelticAion - 2013-12-09

    thanks.

    how i check which module use the program?

     
  • Marc Delisle

    Marc Delisle - 2013-12-09

    On phpMyAdmin's home page, in the "Web server" section, look for "PHP extension".

     
  • CelticAion

    CelticAion - 2013-12-09

    Aha!

    in apache we use mysql in 3.5.7 and 4.0.10
    in nginx we use mysqli in 3.5.7 AND MYSQL in 4.0.10

    thanks!

    Web server
    pma 3.5.7
    nginx/1.4.4
    Database client version: libmysql - 5.5.27
    PHP extension: mysqli Documentation

    pma 4.0.10
    nginx/1.4.4
    Database client version: libmysql - 5.5.27
    PHP extension: mysql Documentation

     
  • CelticAion

    CelticAion - 2013-12-09

    thanks, it's good. i copied old config.ini.php to new pma and not fixed this line:
    $cfg['Servers'][$i]['extension'] = 'mysql';

    now i write
    $cfg['Servers'][$i]['extension'] = 'mysqli';
    and pma is working good :)

     
  • Marc Delisle

    Marc Delisle - 2013-12-09

    Thanks for the feedback. In a future version we'll possibly add a warning about this old extension.

     
  • CelticAion

    CelticAion - 2013-12-09

    also thank you
    i've changed all phpmyadmin to new version :)

     
  • Marc Delisle

    Marc Delisle - 2013-12-10
    • status: pending --> open
     
  • Marc Delisle

    Marc Delisle - 2013-12-14
    • summary: wrong values in mysql.db and mysql.user --> (ok 4.2) wrong values in mysql.db and mysql.user
    • status: open --> resolved
    • Priority: 5 --> 1
     
  • Marc Delisle

    Marc Delisle - 2014-05-08
    • status: resolved --> fixed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks